#ifndef QRK_URG_USB_COM_H
#define QRK_URG_USB_COM_H

/*!
  \file
  \brief USB 接続されているポートの探索

  \author Satofumi KAMIMURA

  $Id: UrgUsbCom.h 1407 2009-10-13 14:04:05Z satofumi $
*/

#include "IsUsbCom.h"


namespace qrk
{
  /*!
    \brief USB 接続されているポートの探索
  */
  class UrgUsbCom : public IsUsbCom
  {
    UrgUsbCom(const UrgUsbCom& rhs);
    UrgUsbCom& operator = (const UrgUsbCom& rhs);

  public:
    UrgUsbCom(void);

    std::vector<std::string> baseNames(void);
    bool isUsbCom(const char* com_port);
  };
}

#endif /* !QRK_URG_USB_COM_H */
